package vhdl.gen

import core.{FunctionCall, IR}

object VhdlGenerator {

  def generate(ir: IR): Unit = {
    if (ir.hasFreeTypeVar)
      throw new Exception("given ir contains free typevars")

    ir match {
      case fc: FunctionCall =>
      case _ => throw new Exception("ir root must be a FunctionCall")
    }
  }

}
