package vhdl

import core._
import org.junit.Test
import vhdl.gen.VhdlGenerator

class GenerateVhdlTest {

  @Test
  def testVhdlTypeIdFunction(): Unit = {
    val dtv = VhdlDataTypeVar()
    val id = Lambda(Param(dtv), Param(dtv))
    val tf = TypeLambda(dtv, id)
    val tree = FunctionCall(TypeFunctionCall(tf), Param(ArrayType(IntType(13), ArithType(100))))

    VhdlGenerator.generate(tree)
  }
}
